Page MenuHomePhabricator

Increase 6-account limit for educational workshop on 2019-07-02
Closed, ResolvedPublic

Description

Public IP: will be added immediately before the event
Event details: a workshop for teachers about the use of Wikipedia in education at Letní škola Občankářů
Date and time: 2 July 2019, 1-4 pm (13:45-14:45 - group 1, 14:50-15:50 - group 2)
Number of participants at the workshop: up to 60 (30 for each group)
Event website: https://www.obcankari.cz/letni-skola
Workshop details: http://wikipedie.jaroslavmasek.cz/obcankari/

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 11 2019, 6:44 PM
Reedy added a subscriber: Reedy.Jun 11 2019, 6:46 PM

Thanks for filing this request in advance, however the following isn't very useful:

Public IP: will be added immediately before the event

Are you able to get it anytime before, because otherwise it's depending on someone being available so close to the event to make sure they can make/merge/deploy a patch for this exemption, and potentially run the necessary maintenance scripts

I'l do my best to provide the IP address ASAP, about an hour or so before the workshop. Unfortunately, the network admins are not willing to share it in public in advance as I was told. I'm sorry for any inconvenience caused.

Urbanecm claimed this task.Jun 11 2019, 7:50 PM
Urbanecm added a subscriber: Urbanecm.

Thanks for filing this request in advance, however the following isn't very useful:

Public IP: will be added immediately before the event

Are you able to get it anytime before, because otherwise it's depending on someone being available so close to the event to make sure they can make/merge/deploy a patch for this exemption, and potentially run the necessary maintenance scripts

I have discussed this request with @jaroslavmasek before he created it, and I'm available when the event will be going to start, so I should be able to create a patch&merge&deploy it and clean the throttles.

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJun 11 2019, 7:50 PM

For the record, this request is only for cswiki, lifting for no other projects is required. Also, I've granted @jaroslavmasek an account creator flag@cswiki, as a backup solution.

Framawiki added a subscriber: Framawiki.
Urbanecm renamed this task from A request for increasing the 4-account limit due to an educational workshop to A request for increasing the 6-account limit due to an educational workshop.Jun 25 2019, 2:41 PM
Aklapper renamed this task from A request for increasing the 6-account limit due to an educational workshop to Increase 6-account limit for educational workshop on 2019-07-02.Jun 25 2019, 5:13 PM

The IP for increasing the 6-account limit is: 86.49.134.37. Thanks for processing it.

jaroslavmasek updated the task description. (Show Details)Jul 2 2019, 9:45 AM
jaroslavmasek updated the task description. (Show Details)

Change 520214 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Add new throttle rule for cswiki workshop

https://gerrit.wikimedia.org/r/520214

Change 520214 merged by jenkins-bot:
[operations/mediawiki-config@master] Add new throttle rule for cswiki workshop

https://gerrit.wikimedia.org/r/520214

Mentioned in SAL (#wikimedia-operations) [2019-07-02T11:37:02Z] <urbanecm@deploy1001> Synchronized wmf-config/throttle.php: SWAT: [[:gerrit:520214|Add new throttle rule for cswiki workshop]] (T225555) (duration: 00m 49s)

Mentioned in SAL (#wikimedia-operations) [2019-07-02T11:37:45Z] <Urbanecm> Ran mwscript resetAuthenticationThrottle.php --wiki=metawiki --signup --ip 86.49.134.37 for T225555

Urbanecm closed this task as Resolved.Jul 2 2019, 11:38 AM